## org.apache.batik.ext.awt.image
Class SVGComposite.ArithCompositeContext_INT_PACK

    java.lang.Object
      org.apache.batik.ext.awt.image.SVGComposite.AlphaPreCompositeContext
          org.apache.batik.ext.awt.image.SVGComposite.AlphaPreCompositeContext_INT_PACK
              org.apache.batik.ext.awt.image.SVGComposite.ArithCompositeContext_INT_PACK

All Implemented Interfaces:
  java.awt.CompositeContext

Enclosing class:
  SVGComposite

public static class SVGComposite.ArithCompositeContext_INT_PACK
extends SVGComposite.AlphaPreCompositeContext_INT_PACK

Method Summary
`void` `precompose_INT_PACK(int width, int height, int[] srcPixels, int srcAdjust, int srcSp, int[] dstInPixels, int dstInAdjust, int dstInSp, int[] dstOutPixels, int dstOutAdjust, int dstOutSp)`

Methods inherited from class org.apache.batik.ext.awt.image.SVGComposite.AlphaPreCompositeContext_INT_PACK
`precompose`

Methods inherited from class org.apache.batik.ext.awt.image.SVGComposite.AlphaPreCompositeContext
`compose, dispose`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### precompose_INT_PACK

    public void precompose_INT_PACK(int width,
                                    int height,
                                    int[] srcPixels,
                                    int srcAdjust,
                                    int srcSp,
                                    int[] dstInPixels,
                                    int dstInAdjust,
                                    int dstInSp,
                                    int[] dstOutPixels,
                                    int dstOutAdjust,
                                    int dstOutSp)

  Specified by:
    `precompose_INT_PACK` in class `SVGComposite.AlphaPreCompositeContext_INT_PACK`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.